org.apache.catalina.loader

## Class ResourceEntry

- java.lang.Object
- - org.apache.catalina.loader.ResourceEntry

-     public class ResourceEntry
      extends Object

  Resource entry.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `lastModified` The "last modified" time of the origin file at the time this resource was loaded, in milliseconds since the epoch.
    `Class<?>` | `loadedClass` Loaded class.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceEntry()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lastModified

          public long lastModified

      The "last modified" time of the origin file at the time this resource was loaded, in milliseconds since the epoch.

    - #### loadedClass

          public volatile Class<?> loadedClass

      Loaded class.

  - ### Constructor Detail

    - #### ResourceEntry

          public ResourceEntry()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.